#include "esp32-c3-uart-interface.h"
#include <stdint.h>

void readSetClear(){
  uint32_t core_value = *C3_UART_CLK_CONF_REG(0);
  
  // set UART_RST_CORE
  core_value |= 1<<23;
  *C3_UART_CLK_CONF_REG(0) = core_value;
  
  // clear UART_RST_CORE
  core_value &= (uint32_t)~(1<<23);
  *C3_UART_CLK_CONF_REG(0) = core_value;
}